complexType "ResponseMessage"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 attributes, 5 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-msg-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, parentCorrelationId?, correlationId[0..2], sequenceNumber??, onBehalfOf[0..4]?
</...>

Content Model Elements (5):

  correlationId, header (defined in ResponseMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), | parentCorrelationId, sequenceNumber (defined in Sequence.model group)

Known Direct Subtypes (2):

  Acknowledgement, EventStatusResponse

All Direct / Indirect Based Elements (4):

  creditEventAcknowledgement, eventStatusResponse, publicExecutionReportAcknowledgement, verificationStatusAcknowledgement

Known Usage Locations

- In derivations of other global types (2):

  Acknowledgement (as extension base), | EventStatusResponse (as extension base)

Annotation
A type refining the generic message content model to make it specific to response messages.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) ResponseMessage

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType abstract="true" name="ResponseMessage"> <xsd:complexContent> <xsd:extension base="Message"> <xsd:sequence> <xsd:element minOccurs="0" name="header" type="ResponseMessageHeader"/> <!--View Generation: SKIPPED - Unsupported--> <xsd:group ref="CorrelationAndOptionalSequence.model"/> <xsd:group minOccurs="0" ref="OnBehalfOf.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/5)
header

  Type: | ResponseMessageHeader, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="header" type="ResponseMessageHeader"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.